laed5(3)

NAME
laed5 - laed5: D&C step: secular equation, 2x2

SYNOPSIS

  Functions

subroutine dlaed5 (i, d, z, delta, rho, dlam)
DLAED5 used by DSTEDC. Solves the 2-by-2 secular equation.
subroutine slaed5 (i, d, z, delta, rho, dlam)
SLAED5 used by SSTEDC. Solves the 2-by-2 secular equation.

Detailed Description

Function Documentation

  subroutine dlaed5 (integer i, double precision, dimension( 2 ) d, double precision, dimension( 2 ) z, double precision, dimension( 2 ) delta, double precision rho, double precision dlam)

DLAED5 used by DSTEDC. Solves the 2-by-2 secular equation.

Purpose:

    !>
    !> This subroutine computes the I-th eigenvalue of a symmetric rank-one
    !> modification of a 2-by-2 diagonal matrix
    !>
    !>            diag( D )  +  RHO * Z * transpose(Z) .
    !>
    !> The diagonal elements in the array D are assumed to satisfy
    !>
    !>            D(i) < D(j)  for  i < j .
    !>
    !> We also assume RHO > 0 and that the Euclidean norm of the vector
    !> Z is one.
    !>

Parameters
    I

    !>          I is INTEGER
    !>         The index of the eigenvalue to be computed.  I = 1 or I = 2.
    !>

    D

    !>          D is DOUBLE PRECISION array, dimension (2)
    !>         The original eigenvalues.  We assume D(1) < D(2).
    !>

    Z

    !>          Z is DOUBLE PRECISION array, dimension (2)
    !>         The components of the updating vector.
    !>

    DELTA

    !>          DELTA is DOUBLE PRECISION array, dimension (2)
    !>         The vector DELTA contains the information necessary
    !>         to construct the eigenvectors.
    !>

    RHO

    !>          RHO is DOUBLE PRECISION
    !>         The scalar in the symmetric updating formula.
    !>

    DLAM

    !>          DLAM is DOUBLE PRECISION
    !>         The computed lambda_I, the I-th updated eigenvalue.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Ren-Cang Li, Computer Science Division, University of California at Berkeley, USA

  subroutine slaed5 (integer i, real, dimension( 2 ) d, real, dimension( 2 ) z, real, dimension( 2 ) delta, real rho, real dlam)

SLAED5 used by SSTEDC. Solves the 2-by-2 secular equation.

Purpose:

    !>
    !> This subroutine computes the I-th eigenvalue of a symmetric rank-one
    !> modification of a 2-by-2 diagonal matrix
    !>
    !>            diag( D )  +  RHO * Z * transpose(Z) .
    !>
    !> The diagonal elements in the array D are assumed to satisfy
    !>
    !>            D(i) < D(j)  for  i < j .
    !>
    !> We also assume RHO > 0 and that the Euclidean norm of the vector
    !> Z is one.
    !>

Parameters
    I

    !>          I is INTEGER
    !>         The index of the eigenvalue to be computed.  I = 1 or I = 2.
    !>

    D

    !>          D is REAL array, dimension (2)
    !>         The original eigenvalues.  We assume D(1) < D(2).
    !>

    Z

    !>          Z is REAL array, dimension (2)
    !>         The components of the updating vector.
    !>

    DELTA

    !>          DELTA is REAL array, dimension (2)
    !>         The vector DELTA contains the information necessary
    !>         to construct the eigenvectors.
    !>

    RHO

    !>          RHO is REAL
    !>         The scalar in the symmetric updating formula.
    !>

    DLAM

    !>          DLAM is REAL
    !>         The computed lambda_I, the I-th updated eigenvalue.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Ren-Cang Li, Computer Science Division, University of California at Berkeley, USA

Author

Generated automatically by Doxygen for LAPACK from the source code.